glib-0.12.4: Binding to the GLIB library for Gtk2Hs.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

System.Glib.GDateTime

Description

# Documentation

type GTimeValPart = CLong Source

data GTimeVal Source

Constructors

GTimeVal |

Fields

gTimeValSec :: GTimeValPart
gTimeValUSec :: GTimeValPart

Instances

Eq GTimeVal |
Ord GTimeVal |
Storable GTimeVal |

gGetCurrentTime :: IO GTimeVal Source

gUSleep :: GTimeValPart -> IO ()Source

gTimeValAdd :: GTimeVal -> GTimeValPart -> GTimeVal Source

gTimeValFromISO8601 :: String -> Maybe GTimeVal Source

gTimeValToISO8601 :: GTimeVal -> String Source

newtype GDate Source

Constructors

GDate |

Fields

gDateJulianDay :: GDateJulianDay

Instances

Eq GDate |
Ord GDate |
Storable GDate |

data GDateDay Source

Instances

Bounded GDateDay |
Eq GDateDay |
Ord GDateDay |

data GDateMonth Source

Instances

Bounded GDateMonth |
Enum GDateMonth |
Eq GDateMonth |
Ord GDateMonth |

data GDateYear Source

Instances

Bounded GDateYear |
Eq GDateYear |
Ord GDateYear |

type GDateJulianDay = CUInt Source

data GDateWeekday Source

Instances

Bounded GDateWeekday |
Enum GDateWeekday |
Eq GDateWeekday |
Ord GDateWeekday |

gDateValidJulian :: GDateJulianDay -> Bool Source

gDateValidDMY :: GDateDay -> GDateMonth -> GDateYear -> Bool Source

gDateNewJulian :: GDateJulianDay -> Maybe GDate Source

gDateNewDMY :: GDateDay -> GDateMonth -> GDateYear -> Maybe GDate Source

gDateSetDay :: GDate -> GDateDay -> Maybe GDate Source

gDateSetMonth :: GDate -> GDateMonth -> Maybe GDate Source

gDateSetYear :: GDate -> GDateYear -> Maybe GDate Source

gDateNewTimeVal :: GTimeVal -> GDate Source

gDateParse :: String -> IO (Maybe GDate)Source

gDateAddDays :: GDate -> Word -> GDate Source

gDateSubtractDays :: GDate -> Word -> GDate Source

gDateAddMonths :: GDate -> Word -> GDate Source

gDateSubtractMonths :: GDate -> Word -> GDate Source

gDateAddYears :: GDate -> Word -> GDate Source

gDateSubtractYears :: GDate -> Word -> GDate Source

gDateDaysBetween :: GDate -> GDate -> Int Source

gDateCompare :: GDate -> GDate -> Ordering Source

gDateClamp :: GDate -> GDate -> GDate -> GDate Source

gDateDay :: GDate -> GDateDay Source

gDateMonth :: GDate -> GDateMonth Source

gDateYear :: GDate -> GDateYear Source

gDateWeekday :: GDate -> GDateWeekday Source